bnd.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Int::Distinct::Rank
| Rank information More...
class | Gecode::Int::Distinct::MaxIncIdx< View >
| Sort-order by increasing maximum (by index). More...
class | Gecode::Int::Distinct::MinIncIdx< View >
| Sort-order by increasing minimum (by index). More...
class | Gecode::Int::Distinct::MinInc< View >
| Sort-order by increasing minimum (direct). More...
class | Gecode::Int::Distinct::HallInfo< IntType >
| Information on Hall intervals. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Distinct
| Distinct propagators

## Functions

template<class IntType>
void | Gecode::Int::Distinct::pathset_t (HallInfo< IntType > hall[], IntType start, IntType end, IntType to)
template<class IntType>
void | Gecode::Int::Distinct::pathset_h (HallInfo< IntType > hall[], IntType start, IntType end, IntType to)
template<class IntType>
IntType | Gecode::Int::Distinct::pathmin_h (const HallInfo< IntType > hall[], IntType i)
template<class IntType>
IntType | Gecode::Int::Distinct::pathmin_t (const HallInfo< IntType > hall[], IntType i)
template<class IntType>
IntType | Gecode::Int::Distinct::pathmax_h (const HallInfo< IntType > hall[], IntType i)
template<class IntType>
IntType | Gecode::Int::Distinct::pathmax_t (const HallInfo< IntType > hall[], IntType i)
template<class View, class IntType>
ExecStatus | Gecode::Int::Distinct::prop_bnd (Space &home, ViewArray< View > &x, int *minsorted, int *maxsorted)
template<class View>
ExecStatus | Gecode::Int::Distinct::prop_bnd (Space &home, ViewArray< View > &x, int &min_x, int &max_x)
| Perform bounds consistent distinct propagation.
template<class View>
ExecStatus | Gecode::Int::Distinct::prop_bnd (Space &home, ViewArray< View > &x)
| Perform bounds consistent distinct propagation.